/*
 * Copyright (C) 2000-2002 ASANO Masahiro
 */

#include "def.h"

#define __KERNEL__
#include <xfs.h>
#include <linux/vfs.h>

void
prhead_xfs_vfs()
{
	mprintf(SPTR" BUSY BSIZE "SPTR" "SPTR"\n", "ADDR", "BH-FIRST", "SUPER");
}

addr_t
print_xfs_vfs(addr)
	addr_t addr;
{
	vfs_t vfs;

	memread(addr, sizeof(vfs), &vfs, "vfs_t");
	mprintf(FPTR " ", addr);

	mprintf("%4x %5x " FPTR " " FPTR "\n", vfs.vfs_busycnt, vfs.vfs_bsize, vfs.vfs_bh.bh_first, vfs.vfs_super);
	return 0;
}
